File: changelog

package info (click to toggle)
ufo2ft 2.24.0-1
  • links: PTS, VCS
  • area: main
  • in suites: bookworm, sid
  • size: 2,256 kB
  • sloc: python: 9,664; makefile: 10
file content (177 lines) | stat: -rw-r--r-- 5,058 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
ufo2ft (2.24.0-1) unstable; urgency=medium

  * New upstream version 2.24.0
  * debian/watch: Change GitHub archive URL
  * debian/control:
    - Update Build-Depends
    - Bump Standards-Version
  * debian/patches: Refresh patches

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 29 Aug 2021 15:19:33 +0800

ufo2ft (2.19.2-1) unstable; urgency=medium

  * Team upload

  * New upstream version 2.19.2
  * debian/rules
    - Ignore errors in clean target
  * debian/patches
    - Refresh patches
    - Add Add-files-to-avoid-clean-target-failure.patch

 -- Hideki Yamane <henrich@debian.org>  Fri, 12 Feb 2021 14:45:33 +0900

ufo2ft (2.19.1-2) unstable; urgency=medium

  * Team upload

  * debian/control
    - Set Build-Depends: python3-fonttools (>= 4.19.1) and drop python3-cu2qu
  * debian/patches
    - Add cu2qu_moved_to_fonttools.patch for above change

 -- Hideki Yamane <henrich@debian.org>  Thu, 11 Feb 2021 14:49:37 +0900

ufo2ft (2.19.1-1) unstable; urgency=medium

  * New upstream version 2.19.1
  * debian/control: Use debhelper 13

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 13 Dec 2020 22:35:56 +0800

ufo2ft (2.18.1-1) unstable; urgency=medium

  * New upstream version 2.18.1
  * debian/control:
    - Bump Standards-Version to 4.5.1.  No changes needed.
    - Update dependencies.
  * d/patches: Remove upstreamed patch
  * Fixes tests about COLR/CPAL support (Closes: #975829)

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 26 Nov 2020 21:42:53 +0800

ufo2ft (2.16.0-1) unstable; urgency=medium

  * New upstream version 2.16.0
  * debian/watch: Add upstream version mangle for alpha/beta versions
  * debian/control: Add dependency to python3-cffsubr
  * d/patches/fix-TransformationsFilterTest-test-error.patch:
    Patch out error message in the test case

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 25 Oct 2020 22:44:51 +0800

ufo2ft (2.14.1-1) unstable; urgency=medium

  * New upstream version 2.14.1
  * Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Fri, 29 May 2020 22:40:33 +0800

ufo2ft (2.12.2-1) unstable; urgency=medium

  * New upstream version 2.12.2
  * d/control: Update dependencies
  * d/control: Bump Standards-Version to 4.5.0

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 02 Mar 2020 00:44:41 +0800

ufo2ft (2.11.1-1) unstable; urgency=medium

  * New upstream version 2.11.1
  * debian/copyright: Add copyright information to the new test files
  * debian/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 22 Dec 2019 23:12:26 +0100

ufo2ft (2.10.0-2) unstable; urgency=medium

  * debian/salsa-ci.yml: Add CI script for salsa.debian.org

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 01 Dec 2019 17:23:03 +0800

ufo2ft (2.10.0-1) unstable; urgency=medium

  * New upstream version 2.10.0
  * debian/control:
    - Update dependencies
    - Bump Standards-Version to 4.4.1
  * debian/patches: Remove patches
  * Bump debhelper compat to 12

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 01 Dec 2019 13:04:39 +0800

ufo2ft (2.9.1-1) unstable; urgency=medium

  * New upstream version 2.9.1
  * debian/control:
    - Update dependencies
    - Bump Standards-Version to 4.4.0
  * debian/patches:
    - Update patch that disable skia-pathops related tests
    - Fix Variable Width test error related to newer fonttools

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 18 Jul 2019 10:56:12 -0300

ufo2ft (2.6.0-1) unstable; urgency=medium

  [ Yao Wei (魏銘廷) ]
  * New upstream version 2.6.0
  * debian/control:
    * Update dependencies
    * Bump Standards-Version to 4.3.0

  [ Jeremy Bicha ]
  * Remove nocheck qualifier from most Build-Depends

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 09 Jan 2019 12:35:23 +0100

ufo2ft (2.5.0-2) unstable; urgency=medium

  * Use automatic dependencies

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 15 Dec 2018 08:20:08 -0500

ufo2ft (2.5.0-1) unstable; urgency=medium

  [Jelmer Vernooij]
  * Use secure copyright file specification URI.

  [Yao Wei (魏銘廷)]
  * New upstream version 2.5.0
  * debian/control:
    - Update dependencies
    - Bump policy version to 4.2.1
    - Update maintainer address

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 31 Oct 2018 22:47:25 +0800

ufo2ft (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0 (Closes: #908538)
  * debian/control:
    - Update dependencies
    - Bump policy version to 4.1.5
    - Update mailing list address
    - Change debian helper compat to 11
  * debian/rules:
    - Add nocheck to skip tests

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Tue, 11 Sep 2018 13:20:08 +0800

ufo2ft (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.0.
  * debian/control:
    - Update dependencies.
    - Change Vcs fields to salsa.debian.org.
    - Bump policy version to 4.1.3.

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Wed, 17 Jan 2018 23:37:10 +0800

ufo2ft (0.6.2-1) unstable; urgency=medium

  * Initial release. Closes: #868006

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 18 Nov 2017 21:16:30 -0500